Bug 218186

Summary: After upgrade to FC6, NFS mounts no longer work without nfs-utils installed
Product: [Fedora] Fedora Reporter: Andrew Baumann <andrewb>
Component: nfs-utilsAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: steved, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 13:06:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrew Baumann 2006-12-02 16:44:12 EST
This is not a bug in nfs-utils, but more a bug in the update process and 
release documentation; I wasn't sure where to assign it, but please reassign 
this if that's appropriate.

After upgrading an FC5 host to FC6, I started getting the following error on 
NFS mounts:
$ mount /path
mount: wrong fs type, bad option, bad superblock on nfsserver:/path,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so
(there was nothing relevant in syslog or dmesg)

Eventually I figured out that I needed to install the nfs-utils package. This 
fixed the problem, but in my opinion the upgrade shouldn't have broken the 
mount. Also, there is nothing in the FC6 release notes about this, and the 
error message from mount is entirely unhelpful.
Comment 2 Bug Zapper 2008-04-04 01:04:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 13:06:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.